Se usó la API de Cloud Translation para traducir esta página.
Switch to English

Instalación de gráficos TensorFlow

Construcciones estables

TensorFlow Graphics depende de TensorFlow 1.13.1 o superior. Las versiones nocturnas de TensorFlow (tf-nightly) también son compatibles.

Para instalar la última versión de CPU de PyPI , ejecute lo siguiente:

 # Installing with the `--upgrade` flag ensures you'll get the latest version.
pip install --upgrade tensorflow-graphics
 

e instalar la última versión de GPU, ejecute:

 # Installing with the `--upgrade` flag ensures you'll get the latest version.
pip install --upgrade tensorflow-graphics-gpu
 

Para obtener ayuda adicional sobre la instalación, orientación para instalar los requisitos previos y (opcionalmente) configurar entornos virtuales, consulte la guía de instalación de TensorFlow .

Instalación desde la fuente - macOS / Linux

También puede instalar desde la fuente ejecutando los siguientes comandos:

 git clone https://github.com/tensorflow/graphics.git
sh build_pip_pkg.sh
pip install --upgrade dist/*.whl
 

Instalación de paquetes opcionales - Linux

Para usar el cargador de datos de TensorFlow Graphics EXR, se debe instalar OpenEXR. Esto se puede hacer ejecutando los siguientes comandos:

 sudo apt-get install libopenexr-dev
pip install --upgrade OpenEXR